<div class="modal fade" id="modal_confirmation_delete_previous_histos" tabindex="-1" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Danger, this operation cannot be cancelled ! </h5>
        <button type="button" class="close" data-dismiss="modal">
        </button>
      </div>
      <div class="modal-body">
        Do you really want to delete all the previous histograms ?
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button id="confirmation_delete_previous_histos" type="button" class="btn btn-danger">Delete</button>
      </div>
    </div>
  </div>
</div>

<div class="modal fade" id="modal_copy_paste_json" tabindex="-1" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" > Choose your backup file (JSON)
        </h5>
        <button type="button" class="close" data-dismiss="modal">
        </button>
      </div>
      <div class="modal-body" style="width: auto;">
        <form action="{{ url_for('load_tags_from_file') }}" method="POST" enctype="multipart/form-data">
          <input type="file" id="myFile" name="filename" class="btn btn-secondary">
          <input type="submit" class="btn btn-success" value="Load">
        </form>
      </div>
    </div>
  </div>
</div>


<div class="modal fade" id="modal_flush_current_histograms" tabindex="-1" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">This operation cannot be cancelled ! </h5>
        <button type="button" class="close" data-dismiss="modal">
        </button>
      </div>
      <div class="modal-body">
        This will delete the current histograms.
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button id="confirmation_flush_current_histograms" type="button" class="btn btn-danger">Delete</button>
      </div>
    </div>
  </div>
</div>

<div class="modal fade" id="modal_flush_current_tags" tabindex="-1" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">This operation cannot be cancelled ! </h5>
        <button type="button" class="close" data-dismiss="modal">
        </button>
      </div>
      <div class="modal-body">
        This will delete the current tags.
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button id="confirmation_flush_current_tags" type="button" class="btn btn-danger">Delete</button>
      </div>
    </div>
  </div>
</div>